All of lore.kernel.org
 help / color / mirror / Atom feed
From: Petr Vorel <pvorel@suse.cz>
To: ltp@lists.linux.it
Subject: [LTP] [PATCH 1/1] travis: Add libefivar support
Date: Tue, 10 Nov 2020 14:46:25 +0100	[thread overview]
Message-ID: <20201110134625.GA6482@pevik> (raw)
In-Reply-To: <20201110120035.20543-1-pvorel@suse.cz>

Hi,

> Travis CI:
> https://travis-ci.org/github/pevik/ltp/builds/742684375

Looks like Debian does not ship libefivar-dev for ppc64el
https://travis-ci.org/github/pevik/ltp/jobs/742684377

Kind regards,
Petr

Fix:
diff --git travis/debian.cross-compile.sh travis/debian.cross-compile.sh
index e27c6c9bc..69ddf225c 100755
--- travis/debian.cross-compile.sh
+++ travis/debian.cross-compile.sh
@@ -2,6 +2,8 @@
 # Copyright (c) 2018-2020 Petr Vorel <pvorel@suse.cz>
 set -ex
 
+apt="apt install -y --no-install-recommends"
+
 if [ -z "$ARCH" ]; then
 	echo "missing \$ARCH!" >&2
 	exit 1
@@ -17,9 +19,11 @@ esac
 dpkg --add-architecture $ARCH
 apt update
 
-apt install -y --no-install-recommends \
+$apt \
 	gcc-${gcc_arch}-linux-gnu \
 	libc6-dev-${ARCH}-cross \
-	libefivar-dev:$ARCH \
 	libmnl-dev:$ARCH \
 	libtirpc-dev:$ARCH
+
+# efivar is currently missing on ppc64el
+$apt libefivar-dev:$ARCH || true

  reply	other threads:[~2020-11-10 13:46 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-10 12:00 [LTP] [PATCH 1/1] travis: Add libefivar support Petr Vorel
2020-11-10 13:46 ` Petr Vorel [this message]
2020-11-11  9:22   ` Li Wang
2020-11-11  9:31     ` Petr Vorel
2021-02-06 19:54     ` Petr Vorel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20201110134625.GA6482@pevik \
    --to=pvorel@suse.cz \
    --cc=ltp@lists.linux.it \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.